Cancel return order
curl --request POST \
--url https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"error": "Bad Request",
"message": "HTTP Error Response: 400 Bad Request - Return order in invalid state"
}{
"statusCode": 404,
"errorCode": "RETURN_ORDER_NOT_FOUND",
"message": "RETURN_ORDER_NOT_FOUND"
}Buyer return orders
Cancel return order
Cancels one of your buyer return orders. No request body is needed.
Only return orders in one of these states can be cancelled:
| Code | State |
|---|---|
| 1 | Created |
| 7 | Transport service requested |
On success the order moves to state 2 (Canceled) and the change is recorded in the
order’s history.
POST
/
buyer-return-orders
/
v2
/
{internal_order_number}
/
cancel
Cancel return order
curl --request POST \
--url https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbita.melonn.com/buyer-return-orders/v2/{internal_order_number}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"error": "Bad Request",
"message": "HTTP Error Response: 400 Bad Request - Return order in invalid state"
}{
"statusCode": 404,
"errorCode": "RETURN_ORDER_NOT_FOUND",
"message": "RETURN_ORDER_NOT_FOUND"
}